Subject: Re: bug#21162: adapting octave-inf.el to Octave 4

From: Glenn Morris <[email-masked]>
Date: Fri, 31 Jul 2015 11:39:10 -0400

Francesco Potortì wrote:

> --no-line-editing serves no apparent purpose (any more?) and prevents an
> inferior Octave process from using readline features, like getting the
> terminal width and other functions used for the FLTK graphical backend.

vc-annotate is your friend, and shows that this was added in:

commit 48495f0fd6afc6aa45f87116552629df39268336
Author: Stephen Eglen <[email-masked]>
Date:   Mon Sep 6 19:20:29 1999 +0000

    add --no-line-editing to inferior-octave-startup-args so that TABs
    in source files are not interpreted as completion requests.

I don't use Octave myself, so I have no idea if this is still relevant.
If you know it isn't, I suggest you feel free to commit this.
Please bump the defcustom's :version tag (to 25.1) if you do,
and then close this bug. Thanks!